OpenShot Audio Library | OpenShotAudio: juce::HighResolutionTimer Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
juce::HighResolutionTimer Class Referenceabstract

`#include <juce_HighResolutionTimer.h>`

## Public Member Functions
virtual | ~HighResolutionTimer ()
virtual void | hiResTimerCallback ()=0
void | startTimer (int intervalInMilliseconds)
void | stopTimer ()
bool | isTimerRunning () const noexcept
int | getTimerInterval () const noexcept

## Protected Member Functions
| HighResolutionTimer ()

## Detailed Description

A high-resolution periodic timer.

This provides accurately-timed regular callbacks. Unlike the normal Timer class, this one uses a dedicated thread, not the message thread, so is far more stable and precise.

You should only use this class in situations where you really need accuracy, because unlike the normal Timer class, which is very lightweight and cheap to start/stop, the HighResolutionTimer will use far more resources, and starting/stopping it may involve launching and killing threads.

See also
  Timer

Definition at line 42 of file juce_HighResolutionTimer.h.

## Constructor & Destructor Documentation

## ◆ HighResolutionTimer()

juce::HighResolutionTimer::HighResolutionTimer | ( |  | ) |
| protected

Creates a HighResolutionTimer. When created, the timer is stopped, so use startTimer() to get it going.

Definition at line 26 of file juce_HighResolutionTimer.cpp.

## ◆ ~HighResolutionTimer()

juce::HighResolutionTimer::~HighResolutionTimer | ( |  | ) |
| virtual

Destructor.

Definition at line 27 of file juce_HighResolutionTimer.cpp.

## Member Function Documentation

## ◆ getTimerInterval()

int juce::HighResolutionTimer::getTimerInterval | ( |  | ) | const
| noexcept

Returns the timer's interval.

Returns
  the timer's interval in milliseconds if it's running, or 0 if it's not.

Definition at line 33 of file juce_HighResolutionTimer.cpp.

## ◆ hiResTimerCallback()

virtual void juce::HighResolutionTimer::hiResTimerCallback | ( |  | ) |
| pure virtual

The user-defined callback routine that actually gets called periodically.

This will be called on a dedicated timer thread, so make sure your implementation is thread-safe!

It's perfectly ok to call startTimer() or stopTimer() from within this callback to change the subsequent intervals.

## ◆ isTimerRunning()

bool juce::HighResolutionTimer::isTimerRunning | ( |  | ) | const
| noexcept

Checks if the timer has been started.

Returns
  true if the timer is running.

Definition at line 32 of file juce_HighResolutionTimer.cpp.

## ◆ startTimer()

void juce::HighResolutionTimer::startTimer | ( | int | intervalInMilliseconds | ) |

Starts the timer and sets the length of interval required.

If the timer is already started, this will reset its counter, so the time between calling this method and the next timer callback will not be less than the interval length passed in.

Parameters

  intervalInMilliseconds | the interval to use (any values less than 1 will be rounded up to 1)

Definition at line 29 of file juce_HighResolutionTimer.cpp.

## ◆ stopTimer()

void juce::HighResolutionTimer::stopTimer | ( |  | ) |

Stops the timer.

This method may block while it waits for pending callbacks to complete. Once it returns, no more callbacks will be made. If it is called from the timer's own thread, it will cancel the timer after the current callback returns.

Definition at line 30 of file juce_HighResolutionTimer.cpp.

Referenced by ~HighResolutionTimer().

The documentation for this class was generated from the following files:

- juce_HighResolutionTimer.h
- juce_HighResolutionTimer.cpp